* call-sf3-profiles.sps - August 2, 2002 Version .
* This program calls the program which creates the SDC profiles. 
* The Right and Left margins on Page Setup should be set to .5, Top and Bottom margins set to 0.35 , Landscape.
* The page width is set to 150 characters. 
* The font should be set to Monospaced, 8 point.
* The profiles have been tested with Arial and Courier fonts

* Between the apostrophes, enter the name of State Data Center to 
  be used in the header of the table. For example  
  define !Statenm () 'Florida'  .

define !Statenm () 'New York'  .
!enddefine.

* Between the apostrophes, enter the full path name of the directory 
  where the data and programs are located - for example
  define !DirPath () 'e:\census\census 2000\sf1\'  .

define !DirPath () ''  .
!enddefine.

* Between the apostrophes, enter the two-character state abbreviation - 
  for example  
  define !State () 'ne'.

define !State () ''.
!enddefine.


get file=!DirPath + !State + 'sf3.sav'.

set printback=off.
set undefined=nowarn.
set mxwarns=0.
set length=68 width=150.

*  If you want to turn off all errors and warnings from being listed in the output, uncomment the 
   following SET command.
set errors=off.


* The syntax files in this section have headings designed to be used with summary levels 
  containing state, county, MCD/CCD, place, tract, block group, and block records.

*The following command removes the various geographic component records (total urban portion of a county, etc.) from the dataset.
*If you wish to include these in your profiles, comment out this line.
select if (geocomp='00').

*   POPULATION PROFILES.
*   Primary Profiles.
*include !DirPath + 'primprfp1.sps'.

*include !DirPath + 'primprfp2.sps'.

*include !DirPath + 'primprfp3.sps'.

*include !DirPath + 'primprfp4.sps'.

*include !DirPath + 'primprfp5.sps'.

*include !DirPath + 'primprfp6.sps'.

*include !DirPath + 'primprfp7.sps'.

*include !DirPath + 'primprfp8.sps'.

*include !DirPath + 'primprfp9.sps'.

*include !DirPath + 'primprfp10.sps'.

*include !DirPath + 'primprfp11.sps'.

*   Secondary Profiles.
*include !DirPath + 'secprfp1.sps'.

*include !DirPath + 'secprfp2.sps'.

*include !DirPath + 'secprfp3.sps'.

*include !DirPath + 'secprfp4.sps'.

*   Ancestry Profiles.
*include !DirPath + 'Ancprfp1.sps'.

*include !DirPath + 'Ancprfp2.sps'.

*include !DirPath + 'Ancprfp3.sps'.

*   Disability Profiles.
*include !DirPath + 'disprfp1.sps'.

*include !DirPath + 'disprfp2.sps'.

*include !DirPath + 'disprfp3.sps'.

*include !DirPath + 'disprfp4.sps'.

*include !DirPath + 'disprfp5.sps'.

*include !DirPath + 'disprfp6.sps'.

*   Education Profiles.
*include !DirPath + 'eduprfp1.sps'.

*include !DirPath + 'eduprfp2.sps'.

*   Employment Profiles.
*include !DirPath + 'empprf1.sps'.

*include !DirPath + 'empprfp2.sps'.

*include !DirPath + 'empprfp3.sps'.


*   Household and Family Profile.
*include !DirPath + 'hhfprf.sps'.

*   Income Profiles.
*include !DirPath + 'Incprfp1.sps'.

*include !DirPath + 'Incprfp2.sps'.

*include !DirPath + 'Incprfp3.sps'.

*include !DirPath + 'Incprfp4.sps'.

*include !DirPath + 'Incprfp5.sps'.

*include !DirPath + 'Incprfp6.sps'.

*include !DirPath + 'Incprfp7.sps'.

*include !DirPath + 'Incprfp8.sps'.

*   Language Profiles.
*include !DirPath + 'langprfp1.sps'.

*include !DirPath + 'langprfp2.sps'.

*include !DirPath + 'langprfp3.sps'.

*   Migration Profiles.
*include !DirPath + 'migprfp1.sps'.

*include !DirPath + 'migprfp2.sps'.

*include !DirPath + 'migprfp3.sps'.

*   Poverty Profiles.
*include !DirPath + 'povprfp1.sps'.

*include !DirPath + 'povprfp2.sps'.

*include !DirPath + 'povprfp3.sps'.

*include !DirPath + 'povprfp4.sps'.

*include !DirPath + 'povprfp5.sps'.

*include !DirPath + 'povprfp6.sps'.

*include !DirPath + 'povprfp7.sps'.

*include !DirPath + 'povprfp8.sps'.

*   Transportation Profiles.
*include !DirPath + 'transprfp1.sps'.

*include !DirPath + 'transprfp2.sps'.


*   HOUSING PROFILES.
*   Primary Profiles.
*include !DirPath + 'housprfp1.sps'.

*include !DirPath + 'housprfp2.sps'.

*include !DirPath + 'housprfp3.sps'.

*include !DirPath + 'housprfp4.sps'.


* The syntax files in this section have headings designed to be used with summary levels 
  containing metropolitan areas.

*



* The syntax files in this section have headings designed to be used with summary levels 
  containing geographic codes that are redundent with the area name, such as Congressional
  Districts and ZCTAs.

*

execute.
